SET(9)

NAME
SET - primitive bit macros

SYNOPSIS
#include <sys/types.h>
void
SET(val, x);
int
ISSET(val, x);
void
CLR(val, x);

DESCRIPTION
These macros define three standard bit operations:

1.  SET() sets the set bits from x in val;

2.  CLR() clears the set bits from x in val; and

3.  ISSET() returns true if any of the set bits from x are set in val.

SEE ALSO
bits(3)

BUGS
The rationale is to provide clarity in the source code, but arguably these operations are clear enough without the use of the macros.